Page MenuHomePhabricator

[MLIR][OpenMP] Defined master operation in OpenMP Dialect
ClosedPublic

Authored by anchu-rajendran on May 27 2020, 10:50 PM.

Details

Summary

Implemented the basic changes for defining master operation in OpenMP.
It uses the generic parser and printer.

Diff Detail

Event Timeline

Formatting changes : removed an extra newline

anchu-rajendran added a project: Restricted Project.May 27 2020, 11:45 PM
anchu-rajendran added a reviewer: mehdi_amini.

It uses the custom parser and printer.

Do you mean the generic parser and printer?

anchu-rajendran edited the summary of this revision. (Show Details)
anchu-rajendran removed a project: Restricted Project.
anchu-rajendran removed a subscriber: SouraVX.

Summary of the change is modified.

It uses the custom parser and printer.

Do you mean the generic parser and printer?

Hi, Yes, I have meant to state that. Thank You! I have modified the summary.

anchu-rajendran added a project: Restricted Project.May 28 2020, 9:24 PM
anchu-rajendran added a subscriber: SouraVX.
ftynse accepted this revision.May 29 2020, 3:11 AM
This revision is now accepted and ready to land.May 29 2020, 3:11 AM
This revision was automatically updated to reflect the committed changes.